
#------------------------------------------------------------------------------
# Project 'Detailed_Model' make using the 'GFortran 4.2.1' compiler.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# All project
#------------------------------------------------------------------------------

all: targets
	@echo !--Make: succeeded.



#------------------------------------------------------------------------------
# Directories, Platform, and Version
#------------------------------------------------------------------------------

Arch        = windows
EmtdcDir    = C:\PROGRA~2\PSCAD46\emtdc\gf42
EmtdcInc    = $(EmtdcDir)\inc
EmtdcBin    = $(EmtdcDir)\$(Arch)
EmtdcMain   = $(EmtdcBin)\main.obj
EmtdcLib    = $(EmtdcBin)\emtdc.lib


#------------------------------------------------------------------------------
# Fortran Compiler
#------------------------------------------------------------------------------

FC_Name         = gfortran.exe
FC_Suffix       = o
FC_Args         = -c -ffree-form -fdefault-real-8
FC_Debug        = 
FC_Preprocess   = 
FC_Preproswitch = 
FC_Warn         = -Wconversion
FC_Checks       = 
FC_Includes     = -I"$(EmtdcInc)" -I"$(EmtdcBin)"
FC_Compile      = $(FC_Name) $(FC_Args) $(FC_Includes) $(FC_Debug) $(FC_Warn) $(FC_Checks)

#------------------------------------------------------------------------------
# C Compiler
#------------------------------------------------------------------------------

CC_Name     = gcc.exe
CC_Suffix   = o
CC_Args     = -c
CC_Debug    = 
CC_Includes = -I"$(EmtdcInc)" -I"$(EmtdcBin)"
CC_Compile  = $(CC_Name) $(CC_Args) $(CC_Includes) $(CC_Debug)

#------------------------------------------------------------------------------
# Linker
#------------------------------------------------------------------------------

Link_Name   = gcc.exe
Link_Debug  = 
Link_Args   = -o $@
Link        = $(Link_Name) $(Link_Args) $(Link_Debug)

#------------------------------------------------------------------------------
# Build rules for generated files
#------------------------------------------------------------------------------


%.$(FC_Suffix): %.f
	@echo !--Compile: $<
	$(FC_Compile) $<


%.$(CC_Suffix): %.c
	@echo !--Compile: $<
	$(CC_Compile) $<



#------------------------------------------------------------------------------
# Build rules for file references
#------------------------------------------------------------------------------


#------------------------------------------------------------------------------
# Dependencies
#------------------------------------------------------------------------------


FC_Objects = \
 Station.$(FC_Suffix) \
 Main.$(FC_Suffix) \
 Breaker_Signal.$(FC_Suffix) \
 PQ_REF.$(FC_Suffix) \
 Model_Parameters.$(FC_Suffix) \
 Reference_abc.$(FC_Suffix) \
 Control.$(FC_Suffix) \
 CirculatingCurrentControl.$(FC_Suffix) \
 PIwithFreeze.$(FC_Suffix) \
 IndexCalculator.$(FC_Suffix) \
 Discretize.$(FC_Suffix) \
 N_SM_1.$(FC_Suffix) \
 SM.$(FC_Suffix)

FC_ObjectsLong = \
 "Station.$(FC_Suffix)" \
 "Main.$(FC_Suffix)" \
 "Breaker_Signal.$(FC_Suffix)" \
 "PQ_REF.$(FC_Suffix)" \
 "Model_Parameters.$(FC_Suffix)" \
 "Reference_abc.$(FC_Suffix)" \
 "Control.$(FC_Suffix)" \
 "CirculatingCurrentControl.$(FC_Suffix)" \
 "PIwithFreeze.$(FC_Suffix)" \
 "IndexCalculator.$(FC_Suffix)" \
 "Discretize.$(FC_Suffix)" \
 "N_SM_1.$(FC_Suffix)" \
 "SM.$(FC_Suffix)"

CC_Objects =

CC_ObjectsLong =

UserLibs = C:\Users\SALMAN~1\Dropbox\Thesis\MYWORK~1\PSCADM~1\MMCMOD~1\OBJ_FI~1\gf42\MMC_20~1.O


SysLibs  = -lgfortran -lstdc++ -lwsock32

Binary   = Detailed_Model.exe

$(Binary): $(FC_Objects) $(CC_Objects) $(UserLibs)
	@echo !--Link: $@
	$(Link) "$(EmtdcMain)" *.$(CC_Suffix) $(UserLibs) "$(EmtdcLib)" $(SysLibs)

targets: $(Binary)


clean:
	-del EMTDC_V*
	-del *.obj
	-del *.o
	-del *.exe
	@echo !--Make clean: succeeded.



